Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Class MergePreviewModeChange

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<MergeMode>
  - - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.MergePreviewModeChange

All Implemented Interfaces:
  `ICompareEvent`, `IMergePreviewModeChange`

    public class MergePreviewModeChange
    extends CompareEvent<MergeMode>
    implements IMergePreviewModeChange

### Constructor Summary

Constructors
`MergePreviewModeChange​(MergeMode oldValue, MergeMode newValue)`

### Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent

`getNewValue, getOldValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.IMergePreviewModeChange

`getNewValue, getOldValue`

### Constructor Detail

#### MergePreviewModeChange

    public MergePreviewModeChange​(MergeMode oldValue,
                                  MergeMode newValue)